Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrn.service
Interface ConsultrnService

All Known Implementing Classes:
  ConsultrnServiceImpl

    public interface ConsultrnService

interface with the methods of the consultrn webservice.

Method Summary
`RegisterPersonResponse` | `registerPerson(SAMLToken token, RegisterPersonRequest request)`
`SearchBySSINReply` | `search(SAMLToken token, SearchBySSINRequest request)`
`SearchPhoneticReply` | `search(SAMLToken token, SearchPhoneticRequest request)`

Method Detail

### search

    SearchBySSINReply search(SAMLToken token,
                             SearchBySSINRequest request)
                             throws TechnicalConnectorException,
                                    ConsultrnIdentifyPersonException

  Throws:
    `TechnicalConnectorException`
    `ConsultrnIdentifyPersonException`

### search

    SearchPhoneticReply search(SAMLToken token,
                               SearchPhoneticRequest request)
                               throws TechnicalConnectorException,
                                      ConsultrnPhoneticSearchException

  Throws:
    `TechnicalConnectorException`
    `ConsultrnPhoneticSearchException`

### registerPerson

    RegisterPersonResponse registerPerson(SAMLToken token,
                                          RegisterPersonRequest request)
                                          throws TechnicalConnectorException,
                                                 ConsultrnRegisterPersonException,
                                                 ConsultrnRegisterExistingPersonException

  Throws:
    `TechnicalConnectorException`
    `ConsultrnRegisterPersonException`
    `ConsultrnRegisterExistingPersonException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.